<?php
/*
  Plugin Name:Taxi Booking Pro Custom Posttype
  Plugin URI: 
  Description: 
  Author: misbahwp
  Version: 1.0
  Author URI: https://www.misbahwp.com/
*/

define( 'taxi_booking_pro_custom_posttype_VERSION', '1.1' );
add_action( 'init', 'taxi_booking_pro_custom_posttype_create_post_type' );

function taxi_booking_pro_custom_posttype_create_post_type() {
  register_post_type( 'cab_booking',
    array(
      'labels' => array(
        'name' => __( 'Cab Booking','taxi-booking-pro-custom-posttype' ),
        'singular_name' => __( 'cab_booking ','taxi-booking-pro-custom-posttype' )
      ),

      'taxonomies'      => array( 'category' ),
      'capability_type' =>  'post',
      'menu_icon'  => 'dashicons-car',
      'public' => true,
      'supports' => array(
      'title',
      'editor',
      'thumbnail',
      'page-attributes',
      'comments'
      )
    )
  );
}

// ---------------- Featured Projects ---------------

// Projects  Meta
function taxi_booking_pro_custom_posttype_bn_custom_meta_cab_booking() {
  add_meta_box( 'bn_meta', __( 'Cab Booking Meta', 'taxi-booking-pro-custom-posttype-pro' ), 'taxi_booking_pro_custom_posttype_bn_meta_callback_taxi_booking_pro_custom_posttype_bn_custom_meta_cab_booking', 'cab_booking', 'normal', 'high' );
}
/* Hook things in for admin*/
if (is_admin()){
  add_action('admin_menu', 'taxi_booking_pro_custom_posttype_bn_custom_meta_cab_booking');
}
function taxi_booking_pro_custom_posttype_bn_meta_callback_taxi_booking_pro_custom_posttype_bn_custom_meta_cab_booking( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'bn_nonce' );
    $bn_stored_meta = get_post_meta( $post->ID );
    $cab_price= get_post_meta($post->ID,'meta-cab-price',true);
    $cab_seat= get_post_meta($post->ID,'meta-cab-seat',true);
    $cab_luggage= get_post_meta($post->ID,'meta-cab-luggage',true);
    ?>
  <div id="property_stuff">
    <table id="list-table">     
      <tbody id="the-list" data-wp-lists="list:meta">
        <tr id="meta-1">
          <td class="left">
            <?php _e( 'Cab Booking Seat', 'taxi-booking-pro-custom-posttype' )?>
          </td>
          <td class="left" >
            <input type="text" name="meta-cab-seat" id="meta-cab-seat" value="<?php echo esc_html($cab_seat); ?>" />
          </td>
        </tr>
        <tr id="meta-2">
          <td class="left">
            <?php _e( 'Cab luggage Bags', 'taxi-booking-pro-custom-posttype' )?>
          </td>
          <td class="left" >
            <input type="text" name="meta-cab-luggage" id="meta-cab-luggage" value="<?php echo esc_html($cab_luggage); ?>" />
          </td>
        </tr>
        <tr id="meta-3">
          <td class="left">
            <?php _e( 'Cab Booking Price', 'taxi-booking-pro-custom-posttype' )?>
          </td>
          <td class="left" >
            <input type="text" name="meta-cab-price" id="meta-cab-price" value="<?php echo esc_html($cab_price); ?>" />
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <?php
}

function taxi_booking_pro_custom_posttype_bn_meta_save_cab_booking( $post_id ) {

  if (!isset($_POST['bn_nonce']) || !wp_verify_nonce($_POST['bn_nonce'], basename(__FILE__))) {
    return;
  }

  if (!current_user_can('edit_post', $post_id)) {
    return;
  }

  if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
    return;
  }

  if( isset( $_POST[ 'meta-cab-seat' ] ) ) {
    update_post_meta( $post_id, 'meta-cab-seat', sanitize_text_field($_POST[ 'meta-cab-seat' ]) );
  }

  if( isset( $_POST[ 'meta-cab-luggage' ] ) ) {
    update_post_meta( $post_id, 'meta-cab-luggage', sanitize_text_field($_POST[ 'meta-cab-luggage' ]) );
  }

  if( isset( $_POST[ 'meta-cab-price' ] ) ) {
    update_post_meta( $post_id, 'meta-cab-price', sanitize_text_field($_POST[ 'meta-cab-price' ]) );
  }
}
add_action( 'save_post', 'taxi_booking_pro_custom_posttype_bn_meta_save_cab_booking' );

/* cab_booking shortcode */
function taxi_booking_pro_custom_posttype_cab_booking_func( $atts ) {
  wp_enqueue_style( 'home-page-style', get_template_directory_uri().'/assets/css/main-css/home-page.css',true, null,'all');
  $thumb_url="";
  $projects = '';
  $projects = '<div class="row" id="choose_cab">';
  $query = new WP_Query( array( 'post_type' => 'cab_booking') );

    if ( $query->have_posts() ) :

  $k=1;
  $new = new WP_Query('post_type=cab_booking');
  while ($new->have_posts()) : $new->the_post();

        $post_id = get_the_ID();
        $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post_id), 'large' );
        if(has_post_thumbnail()) { $thumb_url = $thumb['0']; }
        $url = $thumb['0'];
        $custom_url ='';
        $cab_price= get_post_meta($post_id,'meta-cab-price',true);
        $cab_seat= get_post_meta($post_id,'meta-cab-seat',true);
        $cab_luggage= get_post_meta($post_id,'meta-cab-luggage',true);
        $excerpt = wp_trim_words(get_the_excerpt(),15);
        $custom_url = get_the_permalink();
        $cab_button= get_theme_mod('taxi_booking_pro_booking_page_button_text',true);
        $cab_url = get_theme_mod('taxi_booking_pro_booking_page_cab_button_url',true);
        $projects .= '              
              <div class="col-lg-6 col-md-6  mb-5">
                <div class="project-box text-left p-3">
                  <div class="row">
                    <div class="col-lg-6 align-self-center text-center text-md-left">
                      <figure>
                        <img src="'.esc_url($thumb_url).'" />
                      </figure>
                    </div>
                    <div class="col-lg-6 content">
                      <h4 class="post-title"><a href="'.esc_url($custom_url).'">'.esc_html(get_the_title()) .'</a></h4>
                      <span class="cab-seat"><span class="cab_seat"><i class="fa fa-certificate"></i>'. $cab_seat .'</span></span>
                      <span class="cab-bags ml-3"> <span class="cab_bags"><i class="fa fa-certificate"></i>'. $cab_luggage.'</span> </span>
                      <p class="my-3">'. $excerpt .'</p>
                      <div class="row">
                        <div class="col-md-4 col-4 align-self-center">
                          <span class="price_text">'. $cab_price.'</span> 
                        </div>
                        <div class="col-md-8 col-8">
                          <a class="button animate__animated animate__pulse" href="'.esc_url($cab_url).'">'.$cab_button.'</a>
                        </div>
                      </div>
                    </div>
                  </div>  
                </div>
              </div>
            ';
    if($k%2 == 0){
      $projects.= '<div class="clearfix"></div>';
    }
      $k++;
  endwhile;
  else :
    $projects = '<h2 class="center">'.esc_html__('Post Not Found','taxi-booking-pro-custom-posttype').'</h2>';
  endif;
  return $projects;
}

add_shortcode( 'taxi-booking-pro-cab-booking', 'taxi_booking_pro_custom_posttype_cab_booking_func' );

 
